<?php

namespace AppBundle\Repository;

/**
 * PermutaRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class PermutaRepository extends \Doctrine\ORM\EntityRepository
{
    
    
     public function getData($idPermuta){
        return $this->getEntityManager()
            ->createQuery(
               'SELECT e
                FROM AppBundle:Permuta e
                WHERE e.id = :id
            '
                   
            )
            ->setParameter('id', $idPermuta)
            
            ->getResult();
        
    }
    
    
    
     public function findLast(){
        return $this->getEntityManager()
            ->createQuery(
               'SELECT e
                FROM AppBundle:Permuta e
              ORDER BY  e.id DESC'
            )
            ->setMaxResults(1)
            ->getOneOrNullResult();
        
    }
    
    public function setCheckRitiro($idRitiro){
        return $this->getEntityManager()
            ->createQuery(
               'UPDATE AppBundle:Permuta e
                SET e.checkritiro = 1
                WHERE e.id= :idPermuta
              '
            )
           ->setParameter('id', $idPermuta)
                ->flush();
        
    }
    
    
}
